[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.DockRect

Screen coordinates for a possible drop location.

## Declaration

Source position: controls.pp line 611

`public property TDragDockObject.DockRect : TRect read FDockRect write FDockRect;`

## Description

DockRect gives feedback to the user where the dragged control may be dropped. When no docksite signals acceptance, the DockRect uses the floating state of the dragged control. When a drop will dock the control, the DockRect signifies the approximate position for the docked control.